Skip to main content
`Ctrl`+`K`

# PetscRMTree

delete a directory and all of its children

## Synopsis

    PetscErrorCode PetscRMTree(const char dir[])

## Input Parameter

- dir - the name of the directory

## See Also

`PetscMkdtemp()`, `PetscMkdir()`

## Level

advanced

## Location

src/sys/fileio/fdir.c

## Examples

src/ksp/ksp/tutorials/ex76.c
src/ksp/ksp/tutorials/ex52.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages